Extending Qt Creator Manual | PluginDumper

Extending Qt Creator Manual 4.5.2

# PluginDumper Class

(QmlJS::PluginDumper)

- List of all members, including inherited members

## Public Functions

| PluginDumper(ModelManagerInterface *modelManager)
void | loadBuiltinTypes(const QmlJS::ModelManagerInterface::ProjectInfo &info)
void | loadPluginTypes(const QString &libraryPath, const QString &importPath, const QString &importUri, const QString &importVersion)
void | scheduleMaybeRedumpBuiltins(const QmlJS::ModelManagerInterface::ProjectInfo &info)
void | scheduleRedumpPlugins()

## Member Function Documentation

### PluginDumper::PluginDumper(ModelManagerInterface *modelManager)

Default constructs an instance of PluginDumper.

### void PluginDumper::loadBuiltinTypes(const QmlJS::ModelManagerInterface::ProjectInfo &info)

### void PluginDumper::loadPluginTypes(const QString &libraryPath, const QString &importPath, const QString &importUri, const QString &importVersion)

### void PluginDumper::scheduleMaybeRedumpBuiltins(const QmlJS::ModelManagerInterface::ProjectInfo &info)

### void PluginDumper::scheduleRedumpPlugins()